import React from 'react';
import { timezones } from './../../assets/data/timezones';
import { Dropdown } from 'rsuite';

export default function Tzdropdown() {
	return (
		<Dropdown title='Timezone'>
			{timezones.map((tz) => (
				<Dropdown.Item key={tz}>{tz}</Dropdown.Item>
			))}
		</Dropdown>
	);
}
